## ros-humble-ur-robot-driver 2.2.8

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(ur_robot_driver)

# Default to off as this only works in environments where a new docker container can be started with the appropriate networking, which
# might not be possible e.g. inside the buildfarm
option(
  UR_ROBOT_DRIVER_BUILD_INTEGRATION_TESTS
  "Build integration tests using the start_ursim script"
  OFF
)

add_compile_options(-Wall)
add_compile_options(-Wextra)
add_compile_options(-Wno-unused-parameter)

if(NOT CMAKE_CONFIGURATION_TYPES AND NOT CMAKE_BUILD_TYPE)
  message("${PROJECT_NAME}: You did not request a specific build type: selecting 'RelWithDebInfo'.")
  set(CMAKE_BUILD_TYPE RelWithDebInfo)
endif()

find_package(ament_cmake REQUIRED)
find_package(controller_manager REQUIRED)
find_package(controller_manager_msgs REQUIRED)
find_package(geometry_msgs REQUIRED)
find_package(hardware_interface REQUIRED)
find_package(pluginlib REQUIRED)
find_package(rclcpp REQUIRED)
find_package(rclcpp_lifecycle REQUIRED)
find_package(rclpy REQUIRED)
find_package(std_msgs REQUIRED)
find_package(std_srvs REQUIRED)
find_package(tf2_geometry_msgs REQUIRED)
find_package(ur_client_library REQUIRED)
find_package(ur_dashboard_msgs REQUIRED)

include_directories(include)

set(THIS_PACKAGE_INCLUDE_DEPENDS
  controller_manager
  controller_manager_msgs
  geometry_msgs
  hardware_interface
  pluginlib
  rclcpp
  rclcpp_lifecycle
  std_msgs
  std_srvs
  tf2_geometry_msgs
  ur_client_library
  ur_dashboard_msgs
)

add_library(ur_robot_driver_plugin
  SHARED
  src/dashboard_client_ros.cpp
  src/hardware_interface.cpp
  src/urcl_log_handler.cpp
)
target_link_libraries(
  ur_robot_driver_plugin
  ur_client_library::urcl
)
target_include_directories(
  ur_robot_driver_plugin
  PRIVATE
  include
)
ament_target_dependencies(
  ur_robot_driver_plugin
  ${${PROJECT_NAME}_EXPORTED_TARGETS}
  ${THIS_PACKAGE_INCLUDE_DEPENDS}
)
pluginlib_export_plugin_description_file(hardware_interface hardware_interface_plugin.xml)

#
# dashboard_client
#
add_executable(dashboard_client
  src/dashboard_client_ros.cpp
  src/dashboard_client_node.cpp
  src/urcl_log_handler.cpp
)
target_link_libraries(dashboard_client ${catkin_LIBRARIES} ur_client_library::urcl)
ament_target_dependencies(dashboard_client ${${PROJECT_NAME}_EXPORTED_TARGETS} ${THIS_PACKAGE_INCLUDE_DEPENDS})

#
# ur_ros2_control_node
#
add_executable(ur_ros2_control_node
  src/ur_ros2_control_node.cpp
)
ament_target_dependencies(ur_ros2_control_node
  controller_manager
  rclcpp
)

#
# controller_stopper_node
#
add_executable(controller_stopper_node
  src/controller_stopper.cpp
  src/controller_stopper_node.cpp
)
ament_target_dependencies(controller_stopper_node ${${PROJECT_NAME}_EXPORTED_TARGETS} ${THIS_PACKAGE_INCLUDE_DEPENDS})

install(
  TARGETS dashboard_client ur_ros2_control_node controller_stopper_node
  DESTINATION lib/${PROJECT_NAME}
)

# INSTALL
install(
  TARGETS ur_robot_driver_plugin
  DESTINATION lib
)
install(
  DIRECTORY include/
  DESTINATION include
)

## EXPORTS
ament_export_include_directories(
  include
)
ament_export_libraries(
  ur_robot_driver_plugin
)

install(DIRECTORY resources
  DESTINATION share/${PROJECT_NAME}
  REGEX "/ursim/" EXCLUDE
)


install(DIRECTORY include/
  DESTINATION include
)

ament_export_dependencies(
  hardware_interface
  pluginlib
  rclcpp
  rclcpp_lifecycle
  ${THIS_PACKAGE_INCLUDE_DEPENDS}
)

# Install Python execs
ament_python_install_package(${PROJECT_NAME})

# Install Python executables
install(PROGRAMS
  scripts/tool_communication.py
  DESTINATION lib/${PROJECT_NAME}
)

install(PROGRAMS scripts/wait_dashboard_server.sh
  DESTINATION bin
)

install(PROGRAMS scripts/start_ursim.sh
  DESTINATION lib/${PROJECT_NAME}
)

install(DIRECTORY config launch
  DESTINATION share/${PROJECT_NAME}
)

ament_package()

if(BUILD_TESTING)
  find_package(ur_controllers REQUIRED)
  find_package(ur_description REQUIRED)
  find_package(ur_msgs REQUIRED)
  find_package(launch_testing_ament_cmake)

  if(${UR_ROBOT_DRIVER_BUILD_INTEGRATION_TESTS})
    add_launch_test(test/dashboard_client.py
      TIMEOUT
        180
    )
    add_launch_test(test/robot_driver.py
      TIMEOUT
        500
    )
  endif()
endif()

=== debian/changelog ===
ros-humble-ur-robot-driver (2.2.8-1jammy) jammy; urgency=high

  * Use tf prefix properly (backport #688 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/688>) (#725 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/725>)
  * Use SCHED_FIFO for controller_manager's main thread (#719 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/719>) (#722 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/722>)
  * Contributors: mergify[bot]

 -- Denis Stogl <denis@stoglrobotics.de>  Sun, 25 Jun 2023 22:00:00 -0000

ros-humble-ur-robot-driver (2.2.7-1jammy) jammy; urgency=high

  * Calling on_deactivate in dtr (#679 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/679>) (#704 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/704>)
  * Adds full nonblocking readout support (Multiarm part 4)  - v2 (#673 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/673>) (#703 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/703>)
  * Correct calibration correction launch file in doc (#590 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/590>)
  * Introduce hand back control service (#528 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/528>) (#670 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/670>)
  * Update definition of test goals to new version. (backport #637 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/637>) (#668 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/668>)
  * Default path to ur_client_library urscript (#316 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/316>) (#553 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/553>)
    * Change default path for urscript for headless mode.
    * Replace urscript path also in newer ur_robot_driver launchfile
  * Wait longer for controllers to load and activate
  * Fix flaky tests (#641 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/641>)
  * Added services to set tool voltage and zero force torque sensor (#466 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/466>) (#582 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/582>)
  * Controller spawner timeout (backport #608 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/608>) (#609 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/609>)
  * Fix cmake dependency on controller_manager (backport #598 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/598>) (#599 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/599>)
  * Increase timeout for first test service call to driver (Backport of #605 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/605>) (#607 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/607>)
  * Update linters & checkers (backport #426 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/426>) (#556 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/556>)
  * Clean up & improve execution tests (Backport of #512 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/512>) (#552 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/552>)
  * Contributors: Felix Exner (fexner), Lennart Nachtigall, Robert Wilbrandt, mergify[bot], Denis Stogl, livanov93, Mads Holm Peters

 -- Denis Stogl <denis@stoglrobotics.de>  Thu, 01 Jun 2023 22:00:00 -0000

ros-humble-ur-robot-driver (2.2.6-1jammy) jammy; urgency=high

  * Cleanup humble branch (#545 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/545>)
  * Contributors: Felix Exner (fexner)

 -- Denis Stogl <denis@stoglrobotics.de>  Sun, 27 Nov 2022 23:00:00 -0000

ros-humble-ur-robot-driver (2.2.5-1jammy) jammy; urgency=high

  * ur_robot_driver: Controller_stopper fix deprecation warning
  * Fix tool voltage setup (#526 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/526>)
    * Move BEGIN_REPLACE inside of header
    * Change default value of tool_voltage
    Keeping this at 0 requires users to explicitly set it to non-zero. This way
    we won't accitentally destroy hardware that cannot handle 24V.
  * Added dependency to socat (#527 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/527>)
    This is needed for the tool forwarding.
  * Add a note in the tool_comm doc about a URCap conflict (#524 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/524>)
    * Add a note in the tool_comm doc about a URCap conflict
    * Update ur_robot_driver/doc/setup_tool_communication.rst
    Co-authored-by: Mads Holm Peters <mailto:79145214+urmahp@users.noreply.github.com>
    * Fix formatting and one spelling mistake
    Co-authored-by: Mads Holm Peters <mailto:79145214+urmahp@users.noreply.github.com>
  * Contributors: Felix Exner, Felix Exner (fexner)

 -- Denis Stogl <denis@stoglrobotics.de>  Fri, 18 Nov 2022 23:00:00 -0000

ros-humble-ur-robot-driver (2.2.4-1jammy) jammy; urgency=high

  * Remove the custom ursim docker files (#478 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/478>)
    This has been migrated inside the docs and is not needed anymore.
  * Remove duplicated update_rate parameter (#479 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/479>)
  * Contributors: Felix Exner

 -- Denis Stogl <denis@stoglrobotics.de>  Thu, 06 Oct 2022 22:00:00 -0000

ros-humble-ur-robot-driver (2.2.3-1jammy) jammy; urgency=high

  * Adapt ros control api (#448 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/448>)
    * scaled jtc: Use get_interface_name instead of get_name


=== debian/control ===
Source: ros-humble-ur-robot-driver
Section: misc
Priority: optional
Maintainer: Denis Stogl <denis@stoglrobotics.de>
Build-Depends: debhelper (>= 9.0.0), docker.io <!nocheck>, ros-humble-ament-cmake, ros-humble-ament-cmake-python, ros-humble-controller-manager, ros-humble-controller-manager-msgs, ros-humble-geometry-msgs, ros-humble-hardware-interface, ros-humble-launch-testing-ament-cmake <!nocheck>, ros-humble-pluginlib, ros-humble-rclcpp, ros-humble-rclcpp-lifecycle, ros-humble-rclpy, ros-humble-std-msgs, ros-humble-std-srvs, ros-humble-tf2-geometry-msgs, ros-humble-ur-client-library, ros-humble-ur-controllers, ros-humble-ur-dashboard-msgs, ros-humble-ur-description, ros-humble-ur-msgs, ros-humble-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-humble-ur-robot-driver
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-humble-controller-manager, ros-humble-controller-manager-msgs, ros-humble-force-torque-sensor-broadcaster, ros-humble-geometry-msgs, ros-humble-hardware-interface, ros-humble-joint-state-broadcaster, ros-humble-joint-state-publisher, ros-humble-joint-trajectory-controller, ros-humble-launch, ros-humble-launch-ros, ros-humble-pluginlib, ros-humble-position-controllers, ros-humble-rclcpp, ros-humble-rclcpp-lifecycle, ros-humble-rclpy, ros-humble-robot-state-publisher, ros-humble-ros2-controllers-test-nodes, ros-humble-rviz2, ros-humble-std-msgs, ros-humble-std-srvs, ros-humble-tf2-geometry-msgs, ros-humble-ur-client-library, ros-humble-ur-controllers, ros-humble-ur-dashboard-msgs, ros-humble-ur-description, ros-humble-ur-msgs, ros-humble-urdf, ros-humble-velocity-controllers, ros-humble-xacro, socat, ros-humble-ros-workspace
Description: The new driver for Universal Robots UR3, UR5 and UR10 robots with CB3 controllers and the e-series.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/humble/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/humble" \
		-DAMENT_PREFIX_PATH="/opt/ros/humble" \
		-DCMAKE_PREFIX_PATH="/opt/ros/humble" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-ur-robot-driver//opt/ros/humble/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_install

## ros-humble-ur-robot-driver 2.2.15

=== debian/changelog ===
ros-humble-ur-robot-driver (2.2.15-1bookworm) bookworm; urgency=high

  * Fix passing launch_dashobard_client launch argument (backport of #1057 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/1057>)
  * Updated the UR family photo on the readme (backport of #1064 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/1064>)
  * Contributors: Rune Søoe-Knudsen, Felix Exner

 -- Denis Stogl <denis@stoglrobotics.de>  Thu, 25 Jul 2024 16:00:00 -0000

ros-humble-ur-robot-driver (2.2.14-1bookworm) bookworm; urgency=high

  * Add sleep between controller stopper's controller queries (backport of #1038 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/1038>)
  * Contributors: Felix Exner

 -- Denis Stogl <denis@stoglrobotics.de>  Sun, 30 Jun 2024 16:00:00 -0000

ros-humble-ur-robot-driver (2.2.13-1bookworm) bookworm; urgency=high

  * Use robot_receive_timeout instead of keepalive_count (#1009 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/1009>)
  * Remove extra spaces from start_ursim statement in tests (backport of #1010 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/1010>)
  * Add calibration file to launch arguments (#1001 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/1001>)
  * Contributors: Vincenzo Di Pentima, Felix Exner

 -- Denis Stogl <denis@stoglrobotics.de>  Sun, 16 Jun 2024 16:00:00 -0000

ros-humble-ur-robot-driver (2.2.12-1bookworm) bookworm; urgency=high

  * Remove dependency to docker.io (backport #985 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/985>)
  * Simplify tests (backport of #849 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/849>)
  * Update installation instructions for source build (backport #967 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/967>)
  * Move installation instructions to subpage (backport #870 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/870>)
  * Reduce number of controller_spawners to 3 (#928 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/928>)
  * Fix multi-line strings in DeclareLaunchArgument (backport #948 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/948>)
  * "use_fake_hardware" for UR20 (#950 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/950>)
  * Contributors: Vincenzo Di Pentima, Felix Exner, Robert Wilbrandt, Matthijs van der Burgh

 -- Denis Stogl <denis@stoglrobotics.de>  Wed, 15 May 2024 16:00:00 -0000

ros-humble-ur-robot-driver (2.2.11-1bookworm) bookworm; urgency=high

  * Add UR30 support (#930 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/930>)
  * Move communication setup to on_configure instead of on_activate (#936 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/936>)
  * Contributors: Felix Exner, Vincenzo Di Pentima

 -- Denis Stogl <denis@stoglrobotics.de>  Sun, 07 Apr 2024 16:00:00 -0000

ros-humble-ur-robot-driver (2.2.10-1bookworm) bookworm; urgency=high

  * Add backward_ros to driver (#872 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/872>) (#878 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/878>)
  * Port configuration  (#835 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/835>) (#847 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/847>)
  * Update link to MoveIt! documentation (#845 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/845>)
  * Contributors: mergify[bot]

 -- Denis Stogl <denis@stoglrobotics.de>  Tue, 02 Jan 2024 16:00:00 -0000

ros-humble-ur-robot-driver (2.2.9-1bookworm) bookworm; urgency=high

  * Added a test that sjtc correctly aborts on violation of constraints
  * Added support for UR20 (#805 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/805>)
  * Introduced tf_prefix into log handler (#713 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/713>)
  * Start ursim from lib (#733 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/733>)
  * Run robot driver test also with tf_prefix (#729 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/729>)
  * Urscript interface (#721 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/721>) (#742 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/742>)
  * Contributors: Felix Exner, Lennart Nachtigall, mergify[bot]

 -- Denis Stogl <denis@stoglrobotics.de>  Thu, 21 Sep 2023 16:00:00 -0000

ros-humble-ur-robot-driver (2.2.8-1bookworm) bookworm; urgency=high

  * Use tf prefix properly (backport #688 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/688>) (#725 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/725>)
  * Use SCHED_FIFO for controller_manager's main thread (#719 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/719>) (#722 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/722>)
  * Contributors: mergify[bot]

 -- Denis Stogl <denis@stoglrobotics.de>  Sun, 25 Jun 2023 16:00:00 -0000

ros-humble-ur-robot-driver (2.2.7-1bookworm) bookworm; urgency=high

  * Calling on_deactivate in dtr (#679 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/679>) (#704 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/704>)
  * Adds full nonblocking readout support (Multiarm part 4)  - v2 (#673 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/673>) (#703 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/703>)
  * Correct calibration correction launch file in doc (#590 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/590>)


=== debian/control ===
Source: ros-humble-ur-robot-driver
Section: misc
Priority: optional
Maintainer: Denis Stogl <denis@stoglrobotics.de>
Build-Depends: debhelper (>= 9.0.0), ros-humble-ament-cmake, ros-humble-ament-cmake-python, ros-humble-backward-ros, ros-humble-controller-manager, ros-humble-controller-manager-msgs, ros-humble-geometry-msgs, ros-humble-hardware-interface, ros-humble-launch-testing-ament-cmake <!nocheck>, ros-humble-pluginlib, ros-humble-rclcpp, ros-humble-rclcpp-lifecycle, ros-humble-rclpy, ros-humble-std-msgs, ros-humble-std-srvs, ros-humble-tf2-geometry-msgs, ros-humble-ur-client-library, ros-humble-ur-controllers, ros-humble-ur-dashboard-msgs, ros-humble-ur-description, ros-humble-ur-msgs, ros-humble-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-humble-ur-robot-driver
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-humble-backward-ros, ros-humble-controller-manager, ros-humble-controller-manager-msgs, ros-humble-force-torque-sensor-broadcaster, ros-humble-geometry-msgs, ros-humble-hardware-interface, ros-humble-joint-state-broadcaster, ros-humble-joint-state-publisher, ros-humble-joint-trajectory-controller, ros-humble-launch, ros-humble-launch-ros, ros-humble-pluginlib, ros-humble-position-controllers, ros-humble-rclcpp, ros-humble-rclcpp-lifecycle, ros-humble-rclpy, ros-humble-robot-state-publisher, ros-humble-ros2-controllers-test-nodes, ros-humble-rviz2, ros-humble-std-msgs, ros-humble-std-srvs, ros-humble-tf2-geometry-msgs, ros-humble-ur-client-library, ros-humble-ur-controllers, ros-humble-ur-dashboard-msgs, ros-humble-ur-description, ros-humble-ur-msgs, ros-humble-urdf, ros-humble-velocity-controllers, ros-humble-xacro, socat, ros-humble-ros-workspace
Description: The new driver for Universal Robots UR3, UR5 and UR10 robots with CB3 controllers and the e-series.

=== debian/rules ===
--- 
+++ 
@@ -57,7 +57,7 @@
 	# in the install tree and source it.  It will set things like
 	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
 	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
-	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-ur-robot-driver//opt/ros/humble/lib/
+	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-ur-robot-driver//opt/ros/humble/lib/:$(CURDIR)/debian/ros-humble-ur-robot-driver//opt/ros/humble/opt/ur_robot_driver/lib/
 
 override_dh_auto_install:
 	# In case we're installing to a non-standard location, look for a setup.sh
